WALL(1)

NAME
wall - write a message to users

SYNOPSIS
wall [-g group] [file]

DESCRIPTION
The wall utility displays the contents of file or, by default, its standard input, on the terminals of all currently logged in users.

Only the super-user can write on the terminals of users who have chosen to deny messages or are using a program which automatically denies messages.

-g  Send messages to users in this group. This option may be specified multiple times, and any user in any of the specified groups will receive the message.

SEE ALSO
mesg(1), talk(1), write(1), shutdown(8)

HISTORY
A wall command appeared in PWB UNIX.

BUGS
The sender's LC_CTYPE setting is used to determine which characters are safe to write to a terminal, not the receiver's (which wall has no way of knowing).

The wall utility does not recognize multibyte characters.